Summary: A split-window file manager with ftp capabilities.
Name: FileRunner
%define version 2.4
Version: %{version}
Release: 2
Source0: FileRunner_%{version}.tgz
Source1: fr.wmconfig
Copyright: Copying is free. Commercial Usage: US$20. Non-commercial: free.
Requires: libtcl8.0.so, libtk8.0.so
Group: X11/Applications
Packager: Dave Cook <dmcook@cts.com>
Prefix: /usr
Buildroot: /tmp

%changelog

*  Thu Dec  4 1997 Dave Cook <dmcook@cts.com>

- added wmconfig entry

- added Buildroot

- added Prefix

%description
From the README:

FEATURES
========

  * Simple and powerful interface.
  * History and Hotlist (bookmarks).
  * Recursive directory menu of entire file system tree.
  * Browse FTP directories as easy as normal directories.
  * FTP capabilities:
    - Copy: FTP files/directories upload/download (recursive).
    - FTP Delete (recursive), FTP Makedir, FTP Rename.
    - Supports FTP through proxy.
    - FTP resume download function.
    - Rule based configuration of FTP site logins (password/user/proxy).
    - Asynchronous file transfer.
    - Cached directory listings.
  * Asynchronous file operations.
  * Built-in command shell windows. Synchronized with file panels.
    These have history, aliases and file name completion.
  * Extendable by adding your own command buttons.
  * Very configurable.
  * User defined file pattern / actions. (*.jpg -> launch image viewer etc.)

  New in 2.4:
  * Tcl/Tk 8.0 support. (Older versions of Tcl/Tk will not work anymore).
  * Batch FTP downloading. Works by selecting a number of files and then
    downloading them all in a large batch at a later time.
  * HTTP downloading.
  * And lots more of minor enhancements and bug fixes. 
    (See the online Help->History)

%prep
%setup -n FileRunner_%{version}

%install
rm -rf Makefiles
rm -f *sparc ext.c
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/
cp -rp ../FileRunner_%{version} ${RPM_BUILD_ROOT}/usr/lib/FileRunner
cd ${RPM_BUILD_ROOT}/usr/bin
ln -sf  ../lib/FileRunner/fr fr
install -m644 -o root -g root $RPM_SOURCE_DIR/fr.wmconfig /etc/X11/wmconfig/FileRunner

%files
/usr/bin/fr
/usr/lib/FileRunner
